Skip to main content
PATCH
/
pipeline-activity-types
/
{id}
Update a pipeline activity type
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/pipeline-activity-types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "typeId": "amount_change",
  "isActive": true
}
'
{ "id": "a5f3b1c8-6d27-4e94-82a0-d9e4c7f05b38", "name": "Discovery Meeting", "description": "An initial meeting to discuss the client's needs.", "readOnly": false, "typeId": "meeting", "createdAt": "2025-08-03T16:12:08.491Z", "isActive": true }
A classification for activities that occur during the sales process.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The pipeline activity type uuid.

Body

application/json
name
string

The name of the pipeline activity type. Max 255 characters.

description
string | null

A description of the pipeline activity type. Max 5000 characters.

typeId
enum<string>

The type of pipeline activity.

Available options:
amount_change,
call,
client_assignment,
edit,
email,
expected_close_date_change,
file,
meeting,
next_steps_change,
note,
open_date_change,
other,
owner_change,
probability_change,
project_assignment,
revenue_change,
stage_change
isActive
boolean

Whether the pipeline activity type is active.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the pipeline activity type.

description
string | null

A description of the pipeline activity type.

readOnly
boolean

Whether the pipeline activity type is read-only.

typeId
enum<string>

The type of pipeline activity.

Available options:
amount_change,
call,
client_assignment,
edit,
email,
expected_close_date_change,
file,
meeting,
next_steps_change,
note,
open_date_change,
other,
owner_change,
probability_change,
project_assignment,
revenue_change,
stage_change
createdAt
string<date-time>

The timestamp when the object was created.

isActive
boolean

Whether the pipeline activity type is active.